Where is the PocketSNES PPU.CPP file?!

Welcome Page Forums RetroPie Project Everything else related to the RetroPie Project Where is the PocketSNES PPU.CPP file?!

This topic contains 13 replies, has 4 voices, and was last updated by Profile photo of taalas taalas 2 years, 3 months ago.

Viewing 14 posts - 1 through 14 (of 14 total)
  • Author
    Posts
  • #84365
    Profile photo of alextaldren
    alextaldren
    Participant

    My second controller for the PocketSNES emulator doesn’t work. It’s a confirmed issue with the emulator’s source code:

    https://github.com/retropie/RetroPie-Setup/issues/158

    However, solution is not Linux-beginner friendly, as I can’t locate the PPU.CPP file to make the edit.

    My emulator core files are here:

    /opt/retropie/emulatorcores/pocketsnes-libretro/

    The ONLY file there is “libretro.so” and there is not “/src” directory with the PPU.CPP file.

    Were these files moved? Where is this stupid thing. All I need to do is edit one character on one line of freaking code.

    #84396
    Profile photo of fistwielder
    fistwielder
    Participant

    I’m also trying to locate this file to edit as I’m having trouble with the 2nd controller in some games.

    #92255
    Profile photo of nikone
    nikone
    Participant

    do you have news i’m in same situation

    all i can access is sudo raspi-config . i dont know how to do .

    how can i find ,open, modify that f***** line717 . it’s driving me crazy

    And there s absoluetly nothing about it for NOOBS

    how do i access this src folder ? where is it ?

    THANK YOU

    #92256
    Profile photo of taalas
    taalas
    Participant

    If you update emulators from source, the source code is pulled (downloaded) from the respective GIT repository, compiled, and then deleted afterwards. Only the compiled library is copied to the final destination and that is what you see there.

    I would suggest to look in the respective script for lr-pocketsnes in scriptmodules/… to check for the steps to check out and compile the module yourself. Let me know if you need more info on how to do that.

    #92263
    Profile photo of nikone
    nikone
    Participant

    thank you

    but i did not get a thing πŸ™ all you saying is chinese . sorry

    from what i read on the web , it looked easy , just locate the file ppu.cpp, edit line 717 , then run a command to compile and thats done …

    now you are talking about scripts and stuff
    I Was lost .. it s even worse now .. and i m sure that wasn t your gaol .

    if i fail again, there is a extremly high probability a Pi might fly … very high .
    its driving me insane .

    Thank you for trying to help but i ll play emulators on my old computer .. a lot easier to fix bugs ..

    #92265
    Profile photo of taalas
    taalas
    Participant

    OK, sorry, I wasn’t sure about your level of knowledge in terms of the structure behind the project and such. Let me try another approach.

    RetroPie is basically a collection of scripts (automation) to setup a the Raspbian OS on your Pi so that it runs EmulationStation and a couple of emulators (plus a couple of handy enhancements).

    The setup script either installs the emulators via binary distribution (someone else already compiled the source code and you just get the resulting “program”) or source distribution (the script downloads the source code, compiles it, copies the “program” to a folder and deletes the source from your Pi). Either way as a user you actually never “see” the source-code on your Pi because it either never made it there or was deleted after generating the emulator from it.

    What you would have to do is manually getting the source-code you would like to edit (like the setup script does), change it and then compile it. What I was suggesting was mimicking what the setup script does (this is on your Pi in /home/pi/RetroPie-Setup), if you have never had any contact with bash scripts before this might be too much of a hurdle though.

    Is the change you would like to have implemented already don by the authors of PocketSNES? If so it would suffice to just let the setup script compile a new version for you.

    What you would need to do for this, is first update the setup script:

    cd
    cd RetroPie-Setup
    sudo ./retropie_setup.sh
    <Update Script>
    <Reboot>
    

    Then update the PocketSNES emulator from source by executing the setup script like before and choosing to update “individual emulators” and then “from source”.

    Hope this made some sense…

    #92266
    Profile photo of taalas
    taalas
    Participant

    To follow up on this I just checked the PocketSNES repository and it seems this was fixed, so updating the PocketSNES libretro core from source as described should be all you need to do. No editing of source files necessary…

    That being said, if you are using the SD image 2.6 updating individual emulators will break your installation because a new mechanism was added for choosing emulators per system and rom. To update to this system you will first have to choose “Binary installation” after updating the setup script as described in the above post. This might already give you an up to date PocketSNES.

    In any case BACKUP ANY RELEVANT DATA before doing any of this.

    #92269
    Profile photo of nikone
    nikone
    Participant

    Ok it s a lot clearer / complete explanation for total noobs .

    Thank you for taking time to answers .

    i am using sd image 2.6 rpi2 for pi2 .

    so if i got it good :

    run :
    cd
    cd RetroPie-Setup
    sudo ./retropie_setup.sh
    <Update Script>
    <Reboot> (

    then update pocketnes with ” binariy installation ” selected first ?

    In any case thank you Very Much .

    I ll keep updating this thread .. it might be usefull for others .

    #92270
    Profile photo of taalas
    taalas
    Participant

    Yes, to make it a little clearer with less text πŸ˜‰

    I would suggest you use the RetroPie Setup script which you can start as explained and then:

    – Update the script itself using the appropriate menu item
    – Reboot (not needed, just to be safe)
    – Execute a binary installation to get the latest binaries and the updated runcommand to select emulators
    – Reboot

    This may already solve your problem. If not:

    – Update the PocketSNES emulator by using the command to update individual emulators and choosing “From Source”

    If this doesn’t solve your problem please report back and I will help you compile a version yourself.

    REMEMBER TO BACKUP πŸ™‚ (since these operations will potentially overwrite changes you made)

    #92274
    Profile photo of taalas
    taalas
    Participant

    Another followup to avoid confusion:

    When you do this, the new default emulator for SNES is lr-snes9x-next. Is there a reason you would like to use PocketSNES? If it isn’t installed per default anymore follow the individual install route as explained before and access the emulator selection menu by pressing “x” or “m” shortly after starting a rom from Emulationstation.

    #92280
    Profile photo of nikone
    nikone
    Participant

    ok

    i m actually executing the binary install .

    The only reason is that it is the default emulator . πŸ˜€

    Taalas you’re the best , Thx

    hope it will works !

    #92281
    Profile photo of taalas
    taalas
    Participant

    Oh, ok, no problem. πŸ™‚

    You might actually be already ok with using SNES9X Next then as it is said to be a very good choice for SNES emulation!

    Happy to help if I can!

    #92288
    Profile photo of nikone
    nikone
    Participant

    Great Tip , It worked .

    Thanks , A lot of newbie will be able to fix that .

    #92290
    Profile photo of taalas
    taalas
    Participant

    Glad to hear everything is working now!

Viewing 14 posts - 1 through 14 (of 14 total)

Forums are currently read only - please visit the new RetroPie forums at https://retropie.org.uk/forums/

Skip to toolbar